Get a lookup code translation

get

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/{cases_id}/contributingFactors/{cases-contributingFactors_id}/$translations/{cases-contributingFactors-_translations_id}

Request

Path Parameters
  • This path parameter maps to a composite key that consists of the following fields defined in the Cases/Contributing Factors/Translations REST resource:
    1. lookupType: The unique identifier of the Lookup Type.
    2. lookupCode: The unique identifier of the Lookup Code.
    3. $language: Indicates the code of the language identifier of the record.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
  • This path parameter maps to a composite key that consists of the following fields defined in the Cases/Contributing Factors REST resource:
    1. lookupType: The unique identifier of the Lookup Type.
    2. lookupCode: The unique identifier of the Lookup Code.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
  • This path parameter maps to the following field defined in the Cases REST resource:
    1. caseNumber: The unique number that's used to identify a case. You can edit the case number to a format that's best suitable to your requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.

There's no request body for this operation.

Back to Top

Response

Default Response

A single item response
Body ()
Root Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-response
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item
Match All
Contains the translated choice data in the supported languages.
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-fields
Type: object
Show Source
Nested Schema : Lookup Code Translation
Type: object
Title: Lookup Code Translation
Contains the translated choice data in the supported languages.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : lookupCodeTranslationBase
Match All
The lookup codes list of values resource is used to query the list of lookup codes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Lookup Code
Type: object
Title: Lookup Code
The lookup codes list of values resource is used to query the list of lookup codes.
Nested Schema : $context
Type: object
Show Source
Back to Top